## ironic 32.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=6.0.0 # Apache-2.0
SQLAlchemy>=1.4.0 # MIT
alembic>=1.4.2 # MIT
automaton>=1.9.0 # Apache-2.0
WebOb>=1.7.1 # MIT
keystoneauth1>=4.2.0 # Apache-2.0
stevedore>=1.29.0 # Apache-2.0
oslo.concurrency>=4.2.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=9.1.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=4.2.1 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=8.0.0 # Apache-2.0
osprofiler>=1.5.0 # Apache-2.0
os-traits>=0.4.0 # Apache-2.0
pecan>=1.0.0 # BSD
pycdlib>=1.11.0 # LGPLv2
requests>=2.18.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
jsonpatch>=1.16 # BSD
Jinja2>=3.1.6 # BSD License (3 clause)
keystonemiddleware>=9.5.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
tenacity>=6.3.1  # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
jsonschema>=4.0.0 # MIT
psutil>=3.2.2 # BSD
futurist>=3.2.0 # Apache-2.0
tooz>=2.7.0 # Apache-2.0
openstacksdk>=0.99.0 # Apache-2.0
sushy>=5.7.0
construct>=2.9.39 # MIT
netaddr>=0.9.0 # BSD
microversion-parse>=1.0.1 # Apache-2.0
zeroconf>=0.24.0 # LGPL
os-service-types>=1.7.0 # Apache-2.0
bcrypt>=3.1.3 # Apache-2.0
websockify>=0.9.0 # LGPLv3
PyYAML>=6.0.2 # MIT
cheroot>=10.0.1 # BSD
cotyledon>=2.0.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=3.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
ironic (1:32.0.0-4) unstable; urgency=medium

  * Remove python3-pysnmp4 from (build-)depends and use python3-pysnmp instead.
  * Add pysnmp7-compat.patch.
  * Blacklist snmp tests for now, until Ironic gains pysnmp 7 compat.
  * Move python3-proliantutils from build-depends to build-conflicts.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 13:45:13 +0200

ironic (1:32.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 09:38:49 +0200

ironic (1:32.0.0-2) experimental; urgency=medium

  * Fixed UWSGI_INI_APP in api init script.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2025 22:23:03 +0200

ironic (1:32.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch to module = ironic.wsgi:application from gone wsgi-script.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    - CVE-2025-44021_OSSA-2025-001_Disallow+unsafe_image_file_paths.patch
  * Do not install any rootwrap stuff, it's gone from upstream in this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 18:45:59 +0200

=== debian/control ===
Source: ironic
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-automaton,
 python3-bashate,
 python3-bcrypt,
 python3-cheroot,
 python3-construct,
 python3-cotyledon,
 python3-coverage,
 python3-ddt,
 python3-doc8,
 python3-dracclient,
 python3-fixtures,
 python3-futurist (>= 3.2.0),
 python3-glanceclient,
 python3-hacking,
 python3-ironic-inspector-client,
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-mysqldb,
 python3-netaddr,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-os-service-types,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service (>= 4.2.1),
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-pil,
 python3-psutil,
 python3-pycdlib,
 python3-pyghmi,
 python3-pygments,
 python3-pymysql,
 python3-pysnmp,
 python3-requests,
 python3-rfc3986,
 python3-scciclient,
 python3-sphinxcontrib-pecanwsme <!nodoc>,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-sushy (>= 5.7.0),
 python3-tenacity,
 python3-testtools,
 python3-tooz,
 python3-webob,
 python3-websockify,
 python3-webtest,
 python3-yaml,
 python3-zeroconf,
 qemu-utils,
Build-Conflicts:
 python3-proliantutils,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic.git
Homepage: https://github.com/openstack/ironic

Package: ironic-api
Architecture: all
Depends:
 adduser,
 debconf,
 ironic-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 ipmitool,
 python3-ironic (= ${binary:Version}),
 sqlite3,
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool,
 ipxe,
 ironic-common (= ${binary:Version}),
 open-iscsi,
 pxelinux,
 qemu-utils,
 tftpd-hpa,
 xinetd,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 syslinux,
 syslinux-common,
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.

Package: ironic-novncproxy
Architecture: all
Depends:
 novnc,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 syslinux,
 syslinux-common,
Description: bare metal hypervisor API for OpenStack - NoVNC proxy
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package contains the NoVNC proxy and service.

Package: python3-ironic
Architecture: all
Section: python
Depends:
 alembic,
 python3-automaton,
 python3-bcrypt,
 python3-cheroot,
 python3-construct,
 python3-cotyledon,
 python3-dracclient,
 python3-futurist (>= 3.2.0),
 python3-glanceclient,
 python3-ironic-inspector-client,
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-netaddr,
 python3-openstacksdk,
 python3-os-service-types,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service (>= 4.2.1),
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-psutil,
 python3-psycopg2,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pycdlib,
 python3-pyghmi,
 python3-pymysql,
 python3-pysnmp,
 python3-requests,
 python3-rfc3986,
 python3-sqlalchemy,
 python3-stevedore,
 python3-sushy (>= 5.7.0),
 python3-tenacity,
 python3-tooz,
 python3-webob,
 python3-websockify,
 python3-yaml,
 python3-zeroconf,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-cjson,
Recommends:
 python3-scciclient (>= 0.16.0),
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/ironic-common.config debian/ironic-common.postinst debian/ironic-api.postinst debian/ironic-api.config debian/ironic-api.templates
	rm -rf doc/build *.egg-info .stestr build
	rm -rf doc/source/contributor/api doc/source/_static
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf $(CURDIR)/debian/po $(CURDIR)/debian/ironic-common.templates
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done


override_dh_auto_build:
	cp -r $(CURDIR)/debian/po.in $(CURDIR)/debian/po
	cp $(CURDIR)/debian/ironic-common.templates.in $(CURDIR)/debian/ironic-common.templates
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.postinst
	pkgos-merge-templates ironic-api ironic endpoint
	pkgos-merge-templates ironic-common ironic db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

# Disabled:
# - ironic.tests.unit.drivers.modules.test_pxe.PXEAnacondaDeployTestCase.test_reboot_to_instance
# Try to access to /etc/dnsmasq.d/hostsdir.d/ironic-52:54:00:cf:2d:31.conf which apparently doesn't exist.
# - ironic.tests.unit.objects.test_objects.TestObjectVersions.test_object_version_check
# Has a wrong version of the hash
# Blacklist TestFormatInspectors.test_iso_9660 (Closes: #1084278).
# Fails on Lucas Nussbaum setup:
# test_context_hook_after_add_request_id (Closes: #1091115).
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ironic\.tests\.unit\.(?!(.*drivers\.modules\.test_pxe\.PXEAnacondaDeployTestCase\.test_reboot_to_instance.*|.*common\.test_pxe_utils\.TestPXEUtils\.test_place_common_config.*|.*drivers\.modules\.network\.test_common\.TestNeutronVifPortIDMixin\.test_port_changed_client_id.*|objects\.test_objects\.TestObjectVersions\.test_object_version_check|common\.test_format_inspector\.TestFormatInspectors\.test_iso_9660|common\.test_format_inspector\.TestFormatInspectors\.test_iso_udf|api\.test_hooks\.TestContextHook\.test_context_hook_after_add_request_id|drivers\.modules\.test_snmp\..*))'
endif

	mkdir -p $(CURDIR)/debian/ironic-common/usr/share/ironic-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf \
		--wrap-width 140 \
		--namespace ironic \
		--namespace ironic_lib.disk_utils \
		--namespace ironic_lib.disk_partitioner \
		--namespace ironic_lib.exception \
		--namespace ironic_lib.json_rpc \
		--namespace ironic_lib.mdns \
		--namespace ironic_lib.metrics \
		--namespace ironic_lib.metrics_statsd \
		--namespace ironic_lib.qemu_img \
		--namespace ironic_lib.utils \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.concurrency \
		--namespace oslo.policy \
		--namespace oslo.log \
		--namespace oslo.reports \
		--namespace oslo.service.service \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace osprofiler \
		--namespace keystonemiddleware.audit \
		--namespace keystonemiddleware.auth_token

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf keystone_authtoken ironic
	# We're using python3, the default isn't good, it's using py2.
	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT pybasedir /usr/lib/python3/dist-packages/ironic

	# Fix the default httpboot path, some of it is in the postinst
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf deploy http_root /var/lib/ironic/httpboot

	# Set some nice defaults
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_boot_interfaces pxe
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_deploy_interfaces iscsi,direct
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT default_deploy_interface direct
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_inspect_interfaces inspector
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT default_network_interface neutron
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf oslo_concurrency lock_path /var/lock/ironic
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf pxe tftp_root /srv/tftp
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf pxe ipxe_enabled true

	mkdir -p $(CURDIR)/debian/ironic-common/etc/ironic/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/ironic-common/etc/ironic/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace ironic.api

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/ironic-common/etc/ironic/policy.d/00_default_policy.yaml


	# Fixed using /etc/ironic/policy.d
	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf oslo_policy policy_dirs /etc/ironic/policy.d

	sed -i 's|#connection=<None>|connection=sqlite:////var/lib/ironic/ironicdb|' $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	if ! PYTHONPATH=$(CURDIR) PYTHON=python3 python3 -m sphinx -a -b html doc/source $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html ; then \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	mkdir -p $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static
	touch $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static/toggle.js
	#rm $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/search.html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 @,
 @builddeps@,
Restrictions:
 allow-stderr needs-root,
Architecture: amd64, arm64, mips64el, ppc64el, riscv64, s390x

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/2014/0/;s/2015/0/" \
https://github.com/openstack/ironic refs/tags/(\d[brc\d\.]+)

## ironic 34.0.0

=== requirements.txt ===
--- 
+++ 
@@ -36,8 +36,8 @@
 psutil>=3.2.2 # BSD
 futurist>=3.2.0 # Apache-2.0
 tooz>=2.7.0 # Apache-2.0
-openstacksdk>=0.99.0 # Apache-2.0
-sushy>=5.7.0
+openstacksdk>=4.9.0 # Apache-2.0
+sushy>=5.9.0
 construct>=2.9.39 # MIT
 netaddr>=0.9.0 # BSD
 microversion-parse>=1.0.1 # Apache-2.0
@@ -48,3 +48,4 @@
 PyYAML>=6.0.2 # MIT
 cheroot>=10.0.1 # BSD
 cotyledon>=2.0.0 # Apache-2.0
+lark>=1.2.2 # MIT

=== debian/changelog ===
ironic (1:34.0.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: update for gazpacho
  * d/rules: enable sphinxdoc to build documentation
  * d/patches/*: refresh patches
  * d/control: Add new python3-lark dependency.
  * d/p/fix-pysnmp-7x-compat.patch: Add patch.
  * d/p/fix-test-firmware-missing-mocks.patch: Add patch.
  * New upstream release for OpenStack Gazpacho. (LP: #2137593)

 -- Myles Penner <myles.penner@canonical.com>  Mon, 26 Jan 2026 15:24:36 -0800

ironic (1:32.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/control: Align (Build-)Depends with upstream.
  * d/ironic-common.install: Drop rootwrap conf files.
  * d/ironic-common.maintscript: Remove obsolete rootwrap conf file.
  * d/tests/ironic-daemons: Wait for mysql to be up and socket to be
    open before beginning test. This works around the open bug
    LP: #2064930.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 07:14:41 -0700

ironic (1:30.0.0+git2025070713.577833d78-0ubuntu2) questing; urgency=medium

  * d/ironic_sudoers: Drop !requiretty override causing compatibility issues
    with sudo-rs. (LP: #2120708)

 -- Myles Penner <myles.penner@canonical.com>  Sat, 16 Aug 2025 14:27:30 -0700

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 6.0.0),
 python3-pyasyncore,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 qemu-utils,
Build-Depends-Indep:
 alembic (>= 0.9.6),
 crudini,
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-bcrypt (>= 3.1.3),
 python3-cheroot (>= 10.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-construct (>= 2.9.39),
 python3-cotyledon (>= 1.7.3),
 python3-ddt (>= 1.2.1),
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 3.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 6.0.0),
 python3-ironicclient (>= 1.14.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 3.1.2),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 4.0.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-lark (>= 1.1.9),
 python3-microversion-parse (>= 1.0.1),
 python3-netaddr (>= 0.9.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 3.2.0),
 python3-openstacksdk (>= 0.99.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-service-types (>= 1.7.0),
 python3-os-testr (>= 1.0.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 4.2.1),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 8.0.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pyasn1 (>= 0.4.8),
 python3-pyasn1-modules (>= 0.2.8),
 python3-pycdlib (>= 1.11.0),
 python3-pymysql (>= 0.8.0),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-sphinxcontrib-pecanwsme (>= 0.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 5.7.0),
 python3-sushy-oem-idrac,
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.5.0),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-websockify (>= 0.9.0),
 python3-webtest (>= 2.0.27),
 python3-wsme (>= 0.9.3),
 python3-yaml (>= 6.0.2),
 python3-zeroconf (>= 0.24.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
Homepage: https://opendev.org/openstack/ironic
Testsuite: autopkgtest-pkg-python

Package: ironic-api
Architecture: all
Depends:
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 psmisc,
 ${misc:Depends},
Breaks:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Replaces:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool (>= 1.8.12),
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

Package: python3-ironic
Architecture: all
Depends:
 alembic (>= 0.8.10),
 ironic-common (= ${binary:Version}),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-bcrypt (>= 3.1.3),
 python3-cheroot (>= 10.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-construct (>= 2.9.39),
 python3-eventlet (>= 0.30.1),
 python3-futurist (>= 3.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 6.0.0),
 python3-jinja2 (>= 3.1.2),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 4.0.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-lark (>= 1.1.9),
 python3-microversion-parse (>= 1.0.1),
 python3-netaddr (>= 0.9.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstacksdk (>= 0.99.0),
 python3-os-service-types (>= 1.7.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 4.2.1),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 8.0.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pbr (>= 6.0.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-pycdlib (>= 1.11.0),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.6.2),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 5.7.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-websockify (>= 0.9.0),
 python3-wsme (>= 0.9.3),
 python3-yaml (>= 6.0.2),
 python3-zeroconf (>= 0.24.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Openstack bare metal provisioning service - Python 3 library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python 3 libraries.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=ironic

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-ironic/usr/etc

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=tools/config/ironic-config-generator.conf
	cp etc/ironic/ironic.conf.sample etc/ironic/ironic.conf
	crudini --set $(CURDIR)/etc/ironic/ironic.conf DEFAULT log_dir /var/log/ironic
	crudini --set $(CURDIR)/etc/ironic/ironic.conf database connection sqlite:////var/lib/ironic/ironic.db
	dh_install
	dh_missing --fail-missing -Xusr/etc

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_clean:
	dh_clean
	rm -f debian/*.init debian/*.service debian/*.upstart .testrepository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/,pgpsigurlmangle=s/$/.asc/ \
 http://tarballs.openstack.org/ironic/ ironic-(\d{1,2}\.\d.*)\.tar\.gz

## ironic 2014.1~rc1

=== requirements.txt ===
pbr>=0.6,<1.0
SQLAlchemy>=0.7.8,<=0.9.99
alembic>=0.4.1
amqplib>=0.6.1
anyjson>=0.3.3
argparse
eventlet>=0.13.0
kombu>=2.4.8
lockfile>=0.8
lxml>=2.3
WebOb>=1.2.3
greenlet>=0.3.2
futures>=2.1.3
sqlalchemy-migrate>=0.8.2,!=0.8.4
netaddr>=0.7.6
paramiko>=1.9.0
iso8601>=0.1.9
python-neutronclient>=2.3.4,<3
python-glanceclient>=0.9.0
python-keystoneclient>=0.6.0
stevedore>=0.14
websockify>=0.5.1,<0.6
oslo.config>=1.2.0
oslo.rootwrap
pecan>=0.4.5
six>=1.5.2
jsonpatch>=1.1
WSME>=0.6
Jinja2
pyghmi>=0.5.8

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 alembic (>= 0.4.1),
 python-setuptools,
 python-all (>= 2.6),
 python-pbr (>= 0.5.21),
 python-sqlalchemy (>= 0.7.8),
 python-amqplib (>= 0.3.3),
 python-anyjson,
 python-eventlet (>= 0.13.0),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-lockfile (>= 0.8),
 python-webob (>= 1.2.3),
 python-greenlet (>= 0.3.2),
 python-migrate,
 python-netaddr (>= 0.7.6),
 python-paramiko (>= 1.8.0),
 python-iso8601 (>= 0.1.8),
 python-neutronclient (>= 2.3.0),
 python-glanceclient (>= 0.9.0),
 python-keystoneclient (>= 0.4.1),
 python-stevedore (>= 0.12),
 websockify,
 python-oslo.config (>= 1.2.0),
 python-oslo.rootwrap,
 python-pecan (>= 0.2.0),
 python-six (>= 1.4.1),
 python-jsonpatch (>= 1.1),
 python-wsme (>= 0.5b6),
 python-jinja2,
 python-pyghmi,
 python-fixtures (>= 0.3.14),
 python-mock (>= 1.0),
 python-babel (>= 1.3),
 python-mysqldb,
 python-subunit,
 testrepository (>= 0.0.17),
 python-testtools (>= 0.9.32)
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/ironic/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/ironic/icehouse

Package: python-ironic
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 alembic (>= 0.4.1),
 python-sqlalchemy (>= 0.7.8),
 python-amqplib (>= 0.3.3),
 python-anyjson,
 python-eventlet (>= 0.13.0),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-lockfile (>= 0.8),
 python-webob (>= 1.2.3),
 python-greenlet (>= 0.3.2),
 python-migrate,
 python-netaddr (>= 0.7.6),
 python-paramiko (>= 1.8.0),
 python-iso8601 (>= 0.1.8),
 python-neutronclient (>= 2.3.0),
 python-glanceclient (>= 0.9.0),
 python-keystoneclient (>= 0.4.1),
 python-stevedore (>= 0.12),
 websockify,
 python-oslo.config (>= 1.2.0),
 python-pecan (>= 0.2.0),
 python-six (>= 1.4.1),
 python-jsonpatch (>= 1.1),
 python-wsme (>= 0.5b6),
 python-jinja2,
 python-pyghmi,
 python-babel
Description: Openstack bare metal provisioning service - Python library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python libaries.

Package: ironic-common
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-ironic (= ${source:Version}),
 adduser
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

Package: ironic-api
Architecture: all
Depends: ironic-common (= ${binary:Version}),
 ${misc:Depends}, ${python:Depends}
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-conductor
Architecture: all
Depends: ironic-common (= ${binary:Version}),
 ${misc:Depends}, ${python:Depends}
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	testr init && testr run --concurrency=1
endif

override_dh_install:
	cp etc/ironic/ironic.conf.sample etc/ironic/ironic.conf
	dh_install --fail-missing

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/ironic/+download https://launchpad.net/ironic/.*/.*/.*/ironic-(.*)\.tar\.gz

## ironic 2014.1

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 12~),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx
Build-Depends-Indep: alembic (>= 0.4.1),
                     python-amqplib,
                     python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-concurrent.futures,
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-glanceclient (>= 1:0.10.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2,
                     python-json-patch (>= 1.1),
                     python-keystoneclient (>= 1:0.7.0),
                     python-kombu (>= 2.4.8),
                     python-lockfile,
                     python-lxml,
                     python-migrate (>= 0.8.2),
                     python-mock (>= 1.0),
                     python-mysqldb,
                     python-netaddr,
                     python-neutronclient (>= 2.3.4),
                     python-oslo.config,
                     python-oslo.rootwrap,
                     python-oslosphinx,
                     python-paramiko (>= 1.9.0),
                     python-pecan (>= 0.4.5),
                     python-psycopg2,
                     python-pyghmi,
                     python-seamicroclient,
                     python-six (>= 1.5.2),
                     python-sphinxcontrib-pecanwsme,
                     python-sqlalchemy,
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-testtools (>= 0.9.34),
                     python-webob (>= 1.2.3),
                     python-wsme (>= 0.6),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
                     websockify (>= 0.5.1)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/ironic.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/ironic.git
Homepage: http://github.com/openstack/ironic

Package: python-ironic
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: alembic (>= 0.4.1),
         python-amqplib,
         python-anyjson (>= 0.3.3),
         python-concurrent.futures,
         python-eventlet (>= 0.13.0),
         python-glanceclient (>= 1:0.10.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.9),
         python-jinja2,
         python-json-patch (>= 1.1),
         python-keystoneclient (>= 1:0.7.0),
         python-kombu (>= 2.4.8),
         python-lockfile,
         python-lxml,
         python-migrate (>= 0.8.2),
         python-netaddr,
         python-neutronclient (>= 2.3.4),
         python-oslo.config,
         python-oslo.rootwrap,
         python-paramiko (>= 1.9.0),
         python-pecan (>= 0.4.5),
         python-pyghmi,
         python-seamicroclient,
         python-six (>= 1.5.2),
         python-sqlalchemy,
         python-stevedore (>= 0.14),
         python-webob (>= 1.2.3),
         python-wsme (>= 0.6),
         websockify (>= 0.5.1),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

Package: ironic-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         python-ironic (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ironic-common, ${misc:Depends}, ${ostack-lsb-base}, ${python:Depends}
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-conductor
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ironic-common, ${misc:Depends}, ${ostack-lsb-base}, ${python:Depends}
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -f debian/ironic-common.config debian/ironic-common.postinst
	rm -rf doc/build

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.postinst
#	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.config
#	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.postinst

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	install -D -m 0664 etc/ironic/ironic.conf.sample $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf
	set -e && for pyvers in $(PYTHONS); do \
		cp -rf ironic/db/sqlalchemy/alembic $(CURDIR)/debian/tmp/usr/lib/python$$pyvers/dist-packages/ironic/db/sqlalchemy ; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=. python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-stats ; \
		rm -f $$TEMP_REZ
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build doc/source $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html
## This is a workaround to avoid FTBFS, though a real fix should be found.
	mkdir -p $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static
	touch $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
https://github.com/openstack/ironic/tags .*/v(\d[\d\.]+)\.tar\.gz
